For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign upLog in
Developer GuideCore ConceptsAPI Reference
  • API Reference
      • GETList
      • POSTCreate
      • GETGet
      • DELDelete
      • PATCHUpdate
        • GETList
        • POSTCreate
        • GETGet
        • PATCHUpdate
LogoLogo
Sign upLog in
API ReferenceVersionsReverts

Create

POST
https://api.icepanel.io/v1/landscapes/:landscapeId/version/reverts
POST
/v1/landscapes/:landscapeId/version/reverts
1import { IcePanelClient } from "@icepanel/sdk";
2
3async function main() {
4 const client = new IcePanelClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.versions.reverts.create("landscapeId", {
8 body: {
9 notes: "string",
10 versionId: "string",
11 },
12 });
13}
14main();
1{
2 "versionRevert": {
3 "notes": "string",
4 "versionId": "string",
5 "createdAt": "2024-01-15T09:30:00Z",
6 "createdBy": "user",
7 "createdById": "string",
8 "diagramHandleIds": [
9 "string"
10 ],
11 "id": "string",
12 "landscapeId": "string",
13 "updatedAt": "2024-01-15T09:30:00Z",
14 "updatedBy": "user",
15 "updatedById": "string"
16 }
17}
Was this page helpful?
Previous

Get

Next
Built with

Authentication

X-API-Keystring
API key authentication
OR
AuthorizationBearer
Bearer token authentication

Path parameters

landscapeIdstringRequired

Request

This endpoint expects an object.
notesstringRequired>=10 characters
versionIdstringRequired

Response

OK
versionRevertobject

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error